# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit cvs eutils

ECVS_SERVER="cvs.freedesktop.org:/cvs/xorg"
ECVS_MODULE="xserver/xorg"
ECVS_BRANCH="xgl-0-0-1"
ECVS_LOCALNAME="xgl-xorg"
S=${WORKDIR}/${ECVS_LOCALNAME}


DESCRIPTION="XGL X server"
HOMEPAGE="http://xorg.freedesktop.org/"
LICENSE="X11"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="ipv6"
DEPEND=">=media-libs/glitz-0.5.0_alpha0
	>=media-libs/mesa-6.4.2-r1
	x11-proto/xf86driproto
	x11-proto/randrproto
	x11-proto/renderproto
	x11-proto/fixesproto
	x11-proto/damageproto
	x11-proto/xf86miscproto
	x11-proto/scrnsaverproto
	x11-proto/resourceproto
	x11-proto/fontsproto
	x11-proto/xf86dgaproto
	x11-proto/videoproto
	x11-proto/compositeproto
	x11-proto/trapproto
	x11-proto/recordproto
	x11-proto/xineramaproto
	x11-proto/evieext
	x11-libs/libXfont"

src_unpack() {
 	cvs_src_unpack

	ECVS_SERVER="pdx.freedesktop.org:/cvs/mesa" \
	ECVS_MODULE="Mesa" \
        ECVS_BRANCH="" \
        ECVS_LOCALNAME="Mesa" \
        cvs_src_unpack

	cd ${WORKDIR}/Mesa
	epatch ${FILESDIR}/r200-copy-pixels-1.patch

	cd ${WORKDIR}/xgl-xorg
	epatch ${FILESDIR}/xgl-arbshader-symlink-2.diff
}

src_compile() {
	use amd64 && CFLAGS="${CFLAGS} -D_XSERVER64"

	./autogen.sh --host=${CHOST} \
		--prefix=/usr \
		--libdir=/usr/$(get_libdir) \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man \
		--with-fontdir=/usr/share/fonts \
		--enable-glx \
		--enable-dri \
		--enable-xkb \
		--enable-xgl \
		--enable-xglx \
		--disable-xorg \
		--disable-xprint \
		--disable-dmx \
		--disable-xvfb \
		--disable-xnest \
		`use_enable ipv6` \
		--with-mesa-source=${WORKDIR}/Mesa || die "econf failed"
	# --enable-xkb
	emake || die "emake failed"
}

src_install() {
	make DESTDIR=${D} install || die
	rm ${D}/usr/share/aclocal/xorg-server.m4 \
		${D}/usr/lib/xserver/SecurityPolicy \
		${D}/usr/lib/pkgconfig/xorg-server.pc \
		${D}/usr/share/man/man1/Xserver.1x
}
