# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/glitz/glitz-0.4.4.ebuild,v 1.6 2006/01/04 23:23:46 halcy0n Exp $

inherit eutils cvs flag-o-matic

ECVS_SERVER="cvs.freedesktop.org:/cvs/xorg"
ECVS_MODULE="app/compiz"
ECVS_LOCALNAME="compiz"
S=${WORKDIR}/${ECVS_LOCALNAME}

DESCRIPTION="compiz composite manager"
HOMEPAGE="http://xorg.freedesktop.org"
LICENSE="X11"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="gnome kde svg"

DEPEND="media-libs/mesa
	x11-libs/libXevie
	x11-libs/startup-notification
	media-libs/libpng
	x11-libs/libXdamage
	x11-libs/libXrandr
	gnome? (
		x11-libs/libwnck
		gnome-base/gnome-desktop
		gnome-base/control-center
	)
	kde? ( >=x11-libs/qt-4.1.0 )
	svg? ( x11-libs/libsvg-cairo )"

src_compile() {
	use amd64 && replace-flags -O[1-9] -O0

	./autogen.sh --host=${CHOST} \
		--prefix=/usr \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man \
		`use_enable gnome` \
		`use_enable kde` \
		`use_enable svg libsvg-cairo` || die

	emake || die
}

src_install() {
	make DESTDIR="${D}" install || die
}
